set define off
set verify off
set serveroutput on size 1000000
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040000 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,16966814681204410));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2010.05.13');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,216);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/dynamic_action/com_skllbuilders_session_timeout
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'DYNAMIC ACTION'
 ,p_name => 'COM_SKLLBUILDERS_SESSION_TIMEOUT'
 ,p_display_name => 'SkillBuilders Session Timeout (1.0.1)'
 ,p_category => 'INIT'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'FUNCTION render_session_timeout ('||chr(10)||
'   p_dynamic_action IN APEX_PLUGIN.T_DYNAMIC_ACTION,'||chr(10)||
'   p_plugin         IN APEX_PLUGIN.T_PLUGIN '||chr(10)||
')'||chr(10)||
''||chr(10)||
'   RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT'||chr(10)||
'   '||chr(10)||
'IS'||chr(10)||
''||chr(10)||
'   l_result                APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;'||chr(10)||
'   l_timeoutAction         VARCHAR2(4000);'||chr(10)||
'   l_timeoutMessage        VARCHAR2(500);'||chr(10)||
'   l_timeoutURL            VARCHAR2(4000);'||chr(10)||
'   l_'||
'logoutURL             VARCHAR2(4000);'||chr(10)||
'   l_showWarning           BOOLEAN;'||chr(10)||
'   l_showWarningMiliBefore NUMBER;'||chr(10)||
'   l_showWarningTitle      VARCHAR2(50);'||chr(10)||
'   l_showWarningMessage    VARCHAR2(500);'||chr(10)||
'   l_hideHistory           BOOLEAN;'||chr(10)||
'   l_sessionIdleDuration   NUMBER;'||chr(10)||
'   l_maskBrowser           BOOLEAN;'||chr(10)||
'   l_keepSessionAlive      BOOLEAN;'||chr(10)||
'   l_crlf                  CHAR(2) := CHR(13)||CHR(10);   '||chr(10)||
''||chr(10)||
'BEGIN'||
''||chr(10)||
''||chr(10)||
'   IF apex_application.g_debug'||chr(10)||
'   THEN'||chr(10)||
'      apex_plugin_util.debug_dynamic_action('||chr(10)||
'         p_plugin         => p_plugin,'||chr(10)||
'         p_dynamic_action => p_dynamic_action '||chr(10)||
'      );'||chr(10)||
'   END IF;'||chr(10)||
'   '||chr(10)||
'   l_timeoutAction         := NVL(p_plugin.attribute_01,''ALERT'');'||chr(10)||
'   l_timeoutMessage        := NVL(p_plugin.attribute_02,''Session has been idle for too long!'');'||chr(10)||
'   l_showWarning           := CASE p_plugi'||
'n.attribute_03'||chr(10)||
'                                 WHEN ''Y'' THEN TRUE'||chr(10)||
'                                 ELSE FALSE'||chr(10)||
'                              END;                            '||chr(10)||
'   l_showWarningMiliBefore := p_plugin.attribute_06 * 1000;'||chr(10)||
'   l_showWarningTitle      := NVL(p_plugin.attribute_08,''Idle Session Warning'');'||chr(10)||
'   l_showWarningMessage    := NVL(p_plugin.attribute_04,''This session will expire sho'||
'rtly!'');'||chr(10)||
'   l_hideHistory           := FALSE;'||chr(10)||
'   l_maskBrowser           := CASE p_plugin.attribute_05'||chr(10)||
'                                 WHEN ''N'' THEN FALSE'||chr(10)||
'                                 ELSE TRUE'||chr(10)||
'                              END;'||chr(10)||
'   l_keepSessionAlive      := CASE p_plugin.attribute_07'||chr(10)||
'                                 WHEN ''Y'' THEN TRUE'||chr(10)||
'                                 ELSE FALSE'||chr(10)||
'             '||
'                 END;'||chr(10)||
'                              '||chr(10)||
'   SELECT '||chr(10)||
'      NVL(MAXIMUM_SESSION_IDLE_SECONDS, 3600) * 1000, '||chr(10)||
'      NVL(SESSION_IDLE_TIME_EXCEEDED_URL, HOME_LINK), '||chr(10)||
'      NVL(LOGOUT_URL,''apex_authentication.logout?p_app_id=&APP_ID.&p_session_id=&SESSION.'')'||chr(10)||
'   INTO '||chr(10)||
'      l_sessionIdleDuration, '||chr(10)||
'      l_timeoutURL, '||chr(10)||
'      l_logoutURL'||chr(10)||
'   FROM '||chr(10)||
'      apex_applications'||chr(10)||
'   WHERE '||chr(10)||
'      applica'||
'tion_id = apex_application.g_flow_id;'||chr(10)||
'      '||chr(10)||
'   l_timeoutURL := wwv_flow.do_substitutions(l_timeoutURL);'||chr(10)||
'   '||chr(10)||
'   l_logoutURL := wwv_flow.do_substitutions(l_logoutURL);'||chr(10)||
''||chr(10)||
'   apex_css.add('||chr(10)||
'      p_css => '||chr(10)||
'         ''#session-timeout-mask{position: absolute;z-index: 9000;background-color : #343434;top: 0;left: 0;}'' || l_crlf ||'||chr(10)||
'         ''.session-timeout-dialog .ui-dialog-titlebar-close{display: none !i'||
'mportant;}'''||chr(10)||
'   );'||chr(10)||
'   '||chr(10)||
'   apex_javascript.add_library('||chr(10)||
'      p_name      => ''apex_session_timeout.min'','||chr(10)||
'      p_directory => p_plugin.file_prefix,'||chr(10)||
'      p_version   => NULL '||chr(10)||
'   );'||chr(10)||
'   '||chr(10)||
'   apex_javascript.add_library('||chr(10)||
'      p_name      => ''jquery.ui.button'','||chr(10)||
'      p_directory => apex_application.g_image_prefix || ''libraries/jquery-ui/1.8/ui/'','||chr(10)||
'      p_version   => NULL'||chr(10)||
'   );'||chr(10)||
'   '||chr(10)||
'   IF l_keepSessionAl'||
'ive THEN'||chr(10)||
'      apex_javascript.add_library('||chr(10)||
'         p_name      => ''idle-timer.min'','||chr(10)||
'         p_directory => p_plugin.file_prefix,'||chr(10)||
'         p_version   => NULL '||chr(10)||
'      );	'||chr(10)||
'   END IF;'||chr(10)||
'	'||chr(10)||
'   l_result.javascript_function := '||chr(10)||
'         ''function(){apex.jQuery(document).apex_session_timeout({'' || l_crlf'||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''timeoutAction'',        l_timeoutAction) || l_crlf    '||
'     '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''timeoutMessage'',       l_timeoutMessage) || l_crlf        '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''timeoutURL'',           l_timeoutURL) || l_crlf            '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''logoutURL'',            l_logoutURL) || l_crlf             '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''showWarning'',        '||
'  l_showWarning) || l_crlf           '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''showWarningMiliBefore'',l_showWarningMiliBefore) || l_crlf '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''showWarningTitle'',     l_showWarningTitle) || l_crlf  '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''showWarningMessage'',   l_showWarningMessage) || l_crlf    '||chr(10)||
'      || ''   '' || apex_javascript.add_attr'||
'ibute(''hideHistory'',          l_hideHistory) || l_crlf           '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''sessionIdleDuration'',  l_sessionIdleDuration) || l_crlf   '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''maskBrowser'',          l_maskBrowser) || l_crlf           '||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''keepSessionAlive'',     l_keepSessionAlive) || l_crlf'||chr(10)||
'      || ''   '' |'||
'| apex_javascript.add_attribute(''ajaxIdentifier'',       apex_plugin.get_ajax_identifier(), FALSE, FALSE) || l_crlf'||chr(10)||
'      || ''});}'';'||chr(10)||
''||chr(10)||
'   RETURN l_result;'||chr(10)||
'    '||chr(10)||
'END render_session_timeout;'||chr(10)||
''||chr(10)||
'FUNCTION ajax_session_timeout('||chr(10)||
'    p_dynamic_action IN apex_plugin.t_dynamic_action,'||chr(10)||
'    p_plugin         IN apex_plugin.t_plugin '||chr(10)||
')'||chr(10)||
'    RETURN apex_plugin.t_dynamic_action_ajax_result'||chr(10)||
'IS'||chr(10)||
'   l_result apex_plugin.t'||
'_dynamic_action_ajax_result;'||chr(10)||
'BEGIN '||chr(10)||
'   RETURN l_result;'||chr(10)||
'END ajax_session_timeout;'
 ,p_render_function => 'render_session_timeout'
 ,p_ajax_function => 'ajax_session_timeout'
 ,p_attribute_01 => 'ALERT'
 ,p_attribute_02 => 'This session has been idle for too long!'
 ,p_attribute_03 => 'N'
 ,p_attribute_05 => 'N'
 ,p_attribute_07 => 'N'
 ,p_help_text => '<br />'||chr(10)||
''
 ,p_version_identifier => '1.0'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20507611617148282 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Session Timeout Action'
 ,p_attribute_type => 'SELECT LIST'
 ,p_is_required => true
 ,p_default_value => 'ALERT'
 ,p_is_translatable => false
 ,p_help_text => '<p><strong>Alert</strong> - Will display an alert message on the screen when the session expires</p>'||chr(10)||
'<p><strong>Redirect</strong> - Will redirect the user to the URL defined in <i>Application Properties &raquo; Security &raquo; On session idle time timeout direct to this URL</i>. If one is not defined, the <i>HOME_URL</i> is used</p>'||chr(10)||
'<p><strong>Logout</strong> - Calls the application <i>LOGOUT_URL</i>, if one is not defined the default logout procedure will be called.</p>'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 20508116465149608 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 20507611617148282 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 10
 ,p_display_value => 'Alert'
 ,p_return_value => 'ALERT'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 20508518543150193 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 20507611617148282 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 20
 ,p_display_value => 'Redirect'
 ,p_return_value => 'REDIRECT'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 20508920967150890 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 20507611617148282 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 30
 ,p_display_value => 'Logout'
 ,p_return_value => 'LOGOUT'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20509315211158689 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Session Timeout Message'
 ,p_attribute_type => 'TEXTAREA'
 ,p_is_required => false
 ,p_default_value => 'This session has been idle for too long!'
 ,p_display_length => 50
 ,p_max_length => 500
 ,p_is_translatable => false
 ,p_depending_on_attribute_id => 20507611617148282 + wwv_flow_api.g_id_offset
 ,p_depending_on_condition_type => 'EQUALS'
 ,p_depending_on_expression => 'ALERT'
 ,p_help_text => 'Message to be displayed when a session expires and the "Alert" timeout action is picked.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20510323653170607 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Session Idle Warning'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
 ,p_help_text => 'If yes, a warning message will be displayed before the session expires.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20510809586176038 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Session Idle Message'
 ,p_attribute_type => 'TEXTAREA'
 ,p_is_required => false
 ,p_default_value => 'This session will expire shortly!'
 ,p_display_length => 50
 ,p_max_length => 500
 ,p_is_translatable => false
 ,p_depending_on_attribute_id => 20510323653170607 + wwv_flow_api.g_id_offset
 ,p_depending_on_condition_type => 'EQUALS'
 ,p_depending_on_expression => 'Y'
 ,p_help_text => 'Message to display when warning a user their session is going to expire soon.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20509802529164497 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 25
 ,p_prompt => 'Mask Browser Screen on Timeout'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
 ,p_depending_on_attribute_id => 20507611617148282 + wwv_flow_api.g_id_offset
 ,p_depending_on_condition_type => 'EQUALS'
 ,p_depending_on_expression => 'ALERT'
 ,p_help_text => 'Hide the contents of the browser before performing the timeout action.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20511418028187942 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 6
 ,p_display_sequence => 45
 ,p_prompt => 'Show Warning Seconds Before'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => false
 ,p_default_value => '300'
 ,p_display_length => 30
 ,p_max_length => 30
 ,p_is_translatable => false
 ,p_depending_on_attribute_id => 20510323653170607 + wwv_flow_api.g_id_offset
 ,p_depending_on_condition_type => 'EQUALS'
 ,p_depending_on_expression => 'Y'
 ,p_help_text => 'The number of seconds before the session expires to display the session timeout warning message.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20511901190192526 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 7
 ,p_display_sequence => 70
 ,p_prompt => 'Keep Session Alive'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
 ,p_help_text => 'When enabled, this feature will use Ajax requests to keep a users session active on the server.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 20512411841214571 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'APPLICATION'
 ,p_attribute_sequence => 8
 ,p_display_sequence => 35
 ,p_prompt => 'Session Idle Title'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => 'Idle Session Warning'
 ,p_display_length => 50
 ,p_max_length => 50
 ,p_is_translatable => false
 ,p_depending_on_attribute_id => 20510323653170607 + wwv_flow_api.g_id_offset
 ,p_depending_on_condition_type => 'EQUALS'
 ,p_depending_on_expression => 'Y'
 ,p_help_text => 'Title of modal dialog to display when warning a user their session is going to expire soon.'
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2866756E6374696F6E2861297B612E7769646765742822617065782E617065785F73657373696F6E5F74696D656F7574222C7B6F7074696F6E733A7B74696D656F7574416374696F6E3A6E756C6C2C74696D656F75744D6573736167653A6E756C6C2C74';
wwv_flow_api.g_varchar2_table(2) := '696D656F757455524C3A6E756C6C2C6C6F676F757455524C3A6E756C6C2C73686F775761726E696E673A6E756C6C2C73686F775761726E696E674D696C694265666F72653A6E756C6C2C73686F775761726E696E675469746C653A6E756C6C2C73686F77';
wwv_flow_api.g_varchar2_table(3) := '5761726E696E674D6573736167653A6E756C6C2C68696465486973746F72793A66616C73652C73657373696F6E49646C654475726174696F6E3A6E756C6C2C6D61736B42726F777365723A6E756C6C2C616A61784964656E7469666965723A6E756C6C2C';
wwv_flow_api.g_varchar2_table(4) := '6B65657053657373696F6E416C6976653A6E756C6C2C64656275673A747275657D2C5F6372656174653A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F637265617465';
wwv_flow_api.g_varchar2_table(5) := '202873746172742922293B617065782E646562756728222E2E2E4F7074696F6E7322293B696628622E6F7074696F6E732E6465627567297B666F72286E616D6520696E20622E6F7074696F6E73297B617065782E646562756728222E2E2E2E2E2E222B6E';
wwv_flow_api.g_varchar2_table(6) := '616D652B273A2022272B622E6F7074696F6E735B6E616D655D2B272227297D7D622E5F6372656174655072697661746553746F7261676528293B622E5F737461727454696D65727328293B696628622E6F7074696F6E732E6B65657053657373696F6E41';
wwv_flow_api.g_varchar2_table(7) := '6C697665297B622E5F737461727449646C654D6F6E69746F7228293B622E5F737461727450696E6754696D657228297D617065782E6465627567282253657373696F6E2054696D656F75743A205F6372656174652028656E642922297D2C5F7374617274';
wwv_flow_api.g_varchar2_table(8) := '50696E6754696D65723A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F737461727453657373696F6E50696E6754696D6572202873746172742922293B622E5F76616C';
wwv_flow_api.g_varchar2_table(9) := '7565732E70696E6749443D73657454696D656F75742866756E6374696F6E28297B622E5F68616E646C6550696E6728297D2C622E5F76616C7565732E70696E674672657175656E6379293B617065782E6465627567282253657373696F6E2054696D656F';
wwv_flow_api.g_varchar2_table(10) := '75743A205F737461727453657373696F6E50696E6754696D65722028656E642922297D2C5F737461727449646C654D6F6E69746F723A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D65';
wwv_flow_api.g_varchar2_table(11) := '6F75743A205F737461727449646C654D6F6E69746F72202873746172742922293B612E69646C6554696D657228622E5F76616C7565732E636865636B49646C654672657175656E6379293B6128646F63756D656E74292E62696E64282269646C652E6964';
wwv_flow_api.g_varchar2_table(12) := '6C6554696D6572222C66756E6374696F6E28297B617065782E6465627567282253657373696F6E2054696D656F75743A2073657373696F6E20696E6163746976652122297D293B6128646F63756D656E74292E62696E6428226163746976652E69646C65';
wwv_flow_api.g_varchar2_table(13) := '54696D6572222C66756E6374696F6E28297B617065782E6465627567282253657373696F6E2054696D656F75743A2073657373696F6E20616374697665212922293B622E5F70696E6753657373696F6E28297D293B617065782E64656275672822536573';
wwv_flow_api.g_varchar2_table(14) := '73696F6E2054696D656F75743A205F737461727449646C654D6F6E69746F722028656E642922297D2C5F6372656174655072697661746553746F726167653A66756E6374696F6E28297B76617220623D746869733B617065782E64656275672822536573';
wwv_flow_api.g_varchar2_table(15) := '73696F6E2054696D656F75743A205F6372656174655072697661746553746F72616765202873746172742922293B622E5F76616C7565733D7B646F635469746C653A646F63756D656E742E7469746C652C7469746C65426C696E6B496E74657276616C49';
wwv_flow_api.g_varchar2_table(16) := '443A6E756C6C2C7469746C65426C696E6B496E74657276616C3A383030302C7761726E696E6749443A6E756C6C2C74696D656F757449443A6E756C6C2C70696E6749443A6E756C6C2C636865636B49646C654672657175656E63793A36303030302C7069';
wwv_flow_api.g_varchar2_table(17) := '6E674672657175656E63793A36303030302C69735761726E65643A66616C73652C74696D656F7574416374696F6E456E756D3A7B414C4552543A22414C455254222C52454449524543543A225245444952454354222C4C4F474F55543A224C4F474F5554';
wwv_flow_api.g_varchar2_table(18) := '227D7D3B622E5F656C656D656E74733D7B246469616C6F673A7B7D7D3B617065782E6465627567282253657373696F6E2054696D656F75743A205F6372656174655072697661746553746F726167652028656E642922297D2C5F737461727454696D6572';
wwv_flow_api.g_varchar2_table(19) := '733A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A20737461727454696D6572202873746172742922293B696628622E6F7074696F6E732E73686F775761726E696E67297B';
wwv_flow_api.g_varchar2_table(20) := '622E5F76616C7565732E7761726E696E6749443D73657454696D656F75742866756E6374696F6E28297B622E5F7761726E28297D2C622E6F7074696F6E732E73657373696F6E49646C654475726174696F6E2D622E6F7074696F6E732E73686F77576172';
wwv_flow_api.g_varchar2_table(21) := '6E696E674D696C694265666F7265293B617065782E646562756728222E2E2E696E697469616C697A696E67207761726E696E672074696D656F757428222B622E5F76616C7565732E7761726E696E6749442B222922297D622E5F76616C7565732E74696D';
wwv_flow_api.g_varchar2_table(22) := '656F757449443D73657454696D656F75742866756E6374696F6E28297B622E5F68616E646C654578706972656453657373696F6E28297D2C622E6F7074696F6E732E73657373696F6E49646C654475726174696F6E293B617065782E646562756728222E';
wwv_flow_api.g_varchar2_table(23) := '2E2E696E697469616C697A696E672069646C652074696D656F757428222B622E5F76616C7565732E74696D656F757449442B222922293B617065782E6465627567282253657373696F6E2054696D656F75743A20737461727454696D65722028656E6429';
wwv_flow_api.g_varchar2_table(24) := '22297D2C5F73746F7054696D6572733A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F73746F7054696D657273202873746172742922293B696628622E6F7074696F6E';
wwv_flow_api.g_varchar2_table(25) := '732E6B65657053657373696F6E416C6976652626622E5F76616C7565732E74696D656F757449442626622E5F76616C7565732E74696D656F75744944213D3D6E756C6C297B617065782E646562756728222E2E2E636C6561726E672069646C652074696D';
wwv_flow_api.g_varchar2_table(26) := '656F757428222B622E5F76616C7565732E74696D656F757449442B222922293B636C65617254696D656F757428622E5F76616C7565732E74696D656F75744944293B622E5F76616C7565732E74696D656F757449443D6E756C6C7D696628622E6F707469';
wwv_flow_api.g_varchar2_table(27) := '6F6E732E73686F775761726E696E672626622E5F76616C7565732E7761726E696E6749442626622E5F76616C7565732E7761726E696E674944213D3D6E756C6C297B617065782E646562756728222E2E2E636C6561726E67207761726E696E672074696D';
wwv_flow_api.g_varchar2_table(28) := '656F757428222B622E5F76616C7565732E7761726E696E6749442B222922293B636C65617254696D656F757428622E5F76616C7565732E7761726E696E674944293B622E5F76616C7565732E7761726E696E6749443D6E756C6C7D617065782E64656275';
wwv_flow_api.g_varchar2_table(29) := '67282253657373696F6E2054696D656F75743A205F73746F7054696D6572732028656E642922297D2C5F68616E646C654578706972656453657373696F6E3A66756E6374696F6E28297B76617220623D746869733B617065782E64656275672822536573';
wwv_flow_api.g_varchar2_table(30) := '73696F6E2054696D656F75743A205F68616E646C654578706972656453657373696F6E202873746172742922293B696628622E6F7074696F6E732E6D61736B42726F77736572297B622E5F73686F774D61736B28297D73657454696D656F75742866756E';
wwv_flow_api.g_varchar2_table(31) := '6374696F6E28297B622E5F657870697265416374696F6E28297D2C313030293B617065782E6465627567282253657373696F6E2054696D656F75743A205F68616E646C654578706972656453657373696F6E2028656E642922297D2C5F65787069726541';
wwv_flow_api.g_varchar2_table(32) := '6374696F6E3A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F657870697265416374696F6E202873746172742922293B69662821612E6973456D7074794F626A656374';
wwv_flow_api.g_varchar2_table(33) := '28622E5F656C656D656E74732E246469616C6F6729297B622E5F656C656D656E74732E246469616C6F672E6469616C6F672822636C6F736522297D696628622E6F7074696F6E732E74696D656F7574416374696F6E3D3D3D622E5F76616C7565732E7469';
wwv_flow_api.g_varchar2_table(34) := '6D656F7574416374696F6E456E756D2E414C455254297B616C65727428622E6F7074696F6E732E74696D656F75744D657373616765293B622E5F726564697265637428622E6F7074696F6E732E74696D656F757455524C297D656C73657B696628622E6F';
wwv_flow_api.g_varchar2_table(35) := '7074696F6E732E74696D656F7574416374696F6E3D3D3D622E5F76616C7565732E74696D656F7574416374696F6E456E756D2E5245444952454354297B622E5F726564697265637428622E6F7074696F6E732E74696D656F757455524C297D656C73657B';
wwv_flow_api.g_varchar2_table(36) := '696628622E6F7074696F6E732E74696D656F7574416374696F6E3D3D3D622E5F76616C7565732E74696D656F7574416374696F6E456E756D2E4C4F474F5554297B622E5F726564697265637428622E6F7074696F6E732E6C6F676F757455524C297D7D7D';
wwv_flow_api.g_varchar2_table(37) := '617065782E6465627567282253657373696F6E2054696D656F75743A205F657870697265416374696F6E2028656E642922297D2C5F7761726E3A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E20';
wwv_flow_api.g_varchar2_table(38) := '54696D656F75743A205F7761726E202873746172742922293B76617220633D273C64697620636C6173733D2273657373696F6E2D74696D656F75742D636F6E7461696E65722075692D776964676574223E2020203C703E272B622E6F7074696F6E732E73';
wwv_flow_api.g_varchar2_table(39) := '686F775761726E696E674D6573736167652B223C2F703E3C2F6469763E223B612822626F647922292E617070656E642863293B622E5F656C656D656E74732E246469616C6F673D6128222E73657373696F6E2D74696D656F75742D636F6E7461696E6572';
wwv_flow_api.g_varchar2_table(40) := '22293B622E5F656C656D656E74732E246469616C6F672E6469616C6F67287B64697361626C65643A66616C73652C6175746F4F70656E3A747275652C627574746F6E733A7B4F6B3A66756E6374696F6E28297B612874686973292E6469616C6F67282263';
wwv_flow_api.g_varchar2_table(41) := '6C6F736522297D7D2C636C6F73654F6E4573636170653A747275652C636C6F7365546578743A22436C6F7365222C6469616C6F67436C6173733A2273657373696F6E2D74696D656F75742D6469616C6F67222C647261676761626C653A747275652C6865';
wwv_flow_api.g_varchar2_table(42) := '696768743A226175746F222C686964653A6E756C6C2C6D6178684865696768743A66616C73652C6D617857696474683A66616C73652C6D696E4865696768743A3130302C6D696E57696474683A3230302C6D6F64616C3A747275652C726573697A61626C';
wwv_flow_api.g_varchar2_table(43) := '653A66616C73652C73686F773A6E756C6C2C737461636B3A747275652C7469746C653A622E6F7074696F6E732E73686F775761726E696E675469746C652C636C6F73653A66756E6374696F6E28297B622E5F636C6F73655761726E696E6728297D7D293B';
wwv_flow_api.g_varchar2_table(44) := '622E5F73746172745469746C65426C696E6B28293B622E5F76616C7565732E69735761726E65643D747275653B696628622E6F7074696F6E732E6B65657053657373696F6E416C697665297B612E69646C6554696D6572282264657374726F7922297D61';
wwv_flow_api.g_varchar2_table(45) := '7065782E6465627567282253657373696F6E2054696D656F75743A205F7761726E2028656E642922297D2C5F636C6F73655761726E696E673A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054';
wwv_flow_api.g_varchar2_table(46) := '696D656F75743A205F636C6F73655761726E696E67202873746172742922293B622E5F656C656D656E74732E246469616C6F672E6469616C6F67282264657374726F7922293B622E5F656C656D656E74732E246469616C6F672E72656D6F766528293B62';
wwv_flow_api.g_varchar2_table(47) := '2E5F73746F70426C696E6B28293B622E5F73746F7054696D65727328293B622E5F76616C7565732E69735761726E65643D66616C73653B696628622E6F7074696F6E732E6B65657053657373696F6E416C697665297B622E5F70696E6753657373696F6E';
wwv_flow_api.g_varchar2_table(48) := '28293B622E5F737461727449646C654D6F6E69746F7228297D617065782E6465627567282253657373696F6E2054696D656F75743A205F636C6F73655761726E696E672028656E642922297D2C5F73746172745469746C65426C696E6B3A66756E637469';
wwv_flow_api.g_varchar2_table(49) := '6F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F73746172745469746C65426C696E6B202873746172742922293B622E5F7469746C65426C696E6B28293B622E5F76616C7565732E7469';
wwv_flow_api.g_varchar2_table(50) := '746C65426C696E6B496E74657276616C49443D736574496E74657276616C2866756E6374696F6E28297B622E5F7469746C65426C696E6B28297D2C622E5F76616C7565732E7469746C65426C696E6B496E74657276616C293B617065782E646562756728';
wwv_flow_api.g_varchar2_table(51) := '2253657373696F6E2054696D656F75743A205F73746172745469746C65426C696E6B2028656E642922297D2C5F7469746C65426C696E6B3A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E205469';
wwv_flow_api.g_varchar2_table(52) := '6D656F75743A205F7469746C65426C696E6B202873746172742922293B646F63756D656E742E7469746C653D622E6F7074696F6E732E73686F775761726E696E675469746C653B73657454696D656F75742866756E6374696F6E28297B646F63756D656E';
wwv_flow_api.g_varchar2_table(53) := '742E7469746C653D622E5F76616C7565732E646F635469746C657D2C353030293B617065782E6465627567282253657373696F6E2054696D656F75743A205F7469746C65426C696E6B2028656E642922297D2C5F73746F70426C696E6B3A66756E637469';
wwv_flow_api.g_varchar2_table(54) := '6F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F73746F70426C696E6B202873746172742922293B646F63756D656E742E7469746C653D622E5F76616C7565732E646F635469746C653B';
wwv_flow_api.g_varchar2_table(55) := '636C656172496E74657276616C28622E5F76616C7565732E7469746C65426C696E6B496E74657276616C4944293B617065782E6465627567282253657373696F6E2054696D656F75743A205F73746F70426C696E6B2028656E642922297D2C5F72656469';
wwv_flow_api.g_varchar2_table(56) := '726563743A66756E6374696F6E2862297B76617220633D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F7265646972656374202873746172742922293B696628632E6F7074696F6E732E68696465486973746F72';
wwv_flow_api.g_varchar2_table(57) := '79297B77696E646F772E6C6F636174696F6E2E7265706C6163652862297D656C73657B77696E646F772E6C6F636174696F6E2E687265663D627D617065782E6465627567282253657373696F6E2054696D656F75743A205F72656469726563742028656E';
wwv_flow_api.g_varchar2_table(58) := '642922297D2C5F73686F774D61736B3A66756E6374696F6E28297B76617220633D746869733B76617220623D6128646F63756D656E74292E68656967687428293B76617220653D612877696E646F77292E776964746828293B76617220643D6128646F63';
wwv_flow_api.g_varchar2_table(59) := '756D656E742E637265617465456C656D656E7428226469762229292E6174747228226964222C2273657373696F6E2D74696D656F75742D6D61736B22292E637373287B77696474683A652C6865696768743A627D293B617065782E646562756728225365';
wwv_flow_api.g_varchar2_table(60) := '7373696F6E2054696D656F75743A205F73686F774D61736B202873746172742922293B617065782E646562756728222E2E2E6D61736B4865696768743A222B62293B617065782E646562756728222E2E2E6D61736B57696474683A222B65293B61282262';
wwv_flow_api.g_varchar2_table(61) := '6F647922292E617070656E642864293B612877696E646F77292E726573697A652866756E6374696F6E28297B76617220663D6128646F63756D656E74292E68656967687428293B76617220673D612877696E646F77292E776964746828293B6128222373';
wwv_flow_api.g_varchar2_table(62) := '657373696F6E2D74696D656F75742D6D61736B22292E637373287B77696474683A672C6865696768743A667D297D293B617065782E6465627567282253657373696F6E2054696D656F75743A205F73686F774D61736B2028656E642922297D2C5F68616E';
wwv_flow_api.g_varchar2_table(63) := '646C6550696E673A66756E6374696F6E28297B76617220623D746869733B617065782E6465627567282253657373696F6E2054696D656F75743A205F68616E646C6550696E67202873746172742922293B696628612E6461746128646F63756D656E742C';
wwv_flow_api.g_varchar2_table(64) := '2269646C6554696D657222293D3D3D2261637469766522297B617065782E6465627567282273657373696F6E206973206163746976652E2052656672657368696E67207365727665722073657373696F6E22293B622E5F70696E6753657373696F6E2829';
wwv_flow_api.g_varchar2_table(65) := '7D656C73657B617065782E6465627567282273657373696F6E20697320696E6163746976652E20446F206E6F742072656672657368207365727665722073657373696F6E2E22297D617065782E6465627567282253657373696F6E2054696D656F75743A';
wwv_flow_api.g_varchar2_table(66) := '205F68616E646C6550696E672028656E642922297D2C5F70696E6753657373696F6E3A66756E6374696F6E28297B76617220623D746869733B76617220633B617065782E6465627567282253657373696F6E2054696D656F75743A205F70696E67536573';
wwv_flow_api.g_varchar2_table(67) := '73696F6E202873746172742922293B633D7B705F666C6F775F69643A6128222370466C6F77496422292E76616C28292C705F666C6F775F737465705F69643A6128222370466C6F7753746570496422292E76616C28292C705F696E7374616E63653A6128';
wwv_flow_api.g_varchar2_table(68) := '222370496E7374616E636522292E76616C28292C705F726571756573743A22504C5547494E3D222B622E6F7074696F6E732E616A61784964656E7469666965727D3B612E616A6178287B747970653A22504F5354222C75726C3A227777765F666C6F772E';
wwv_flow_api.g_varchar2_table(69) := '73686F77222C646174613A632C64617465547970653A2274657874222C6173796E633A747275652C737563636573733A66756E6374696F6E2864297B617065782E64656275672822416A61782072657175657374207375636365737366756C22293B636C';
wwv_flow_api.g_varchar2_table(70) := '65617254696D656F757428622E5F76616C7565732E70696E674944293B622E5F737461727450696E6754696D657228293B622E5F73746F7054696D65727328293B622E5F737461727454696D65727328297D7D293B617065782E64656275672822536573';
wwv_flow_api.g_varchar2_table(71) := '73696F6E2054696D656F75743A205F70696E6753657373696F6E2028656E642922297D7D297D2928617065782E6A5175657279293B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 20519104117916793 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_file_name => 'apex_session_timeout.min.js'
 ,p_mime_type => 'text/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A202A206A51756572792069646C6554696D657220706C7567696E0A202A2076657273696F6E20302E392E3130303531310A202A206279205061756C2049726973682E0A202A202020687474703A2F2F6769746875622E636F6D2F7061756C697269';
wwv_flow_api.g_varchar2_table(2) := '73682F7975692D6D6973632F747265652F0A202A204D4954206C6963656E73650A0A202A20616461707465642066726F6D205955492069646C652074696D6572206279206E7A616B61733A0A202A202020687474703A2F2F6769746875622E636F6D2F6E';
wwv_flow_api.g_varchar2_table(3) := '7A616B61732F7975692D6D6973632F0A2A2F0A2866756E6374696F6E2861297B612E69646C6554696D65723D66756E6374696F6E286A2C63297B76617220643D66616C73652C673D747275652C683D33303030302C6B3D226D6F7573656D6F7665206B65';
wwv_flow_api.g_varchar2_table(4) := '79646F776E20444F4D4D6F7573655363726F6C6C206D6F757365776865656C206D6F757365646F776E20746F756368737461727420746F7563686D6F7665223B633D637C7C646F63756D656E743B76617220663D66756E6374696F6E286F297B69662874';
wwv_flow_api.g_varchar2_table(5) := '7970656F66206F3D3D3D226E756D62657222297B6F3D756E646566696E65647D766172206E3D612E64617461286F7C7C632C2269646C6554696D65724F626A22293B6E2E69646C653D216E2E69646C653B766172206C3D282B6E65772044617465282929';
wwv_flow_api.g_varchar2_table(6) := '2D6E2E6F6C64646174653B6E2E6F6C64646174653D2B6E6577204461746528293B6966286E2E69646C652626286C3C6829297B6E2E69646C653D66616C73653B636C65617254696D656F757428612E69646C6554696D65722E744964293B69662867297B';
wwv_flow_api.g_varchar2_table(7) := '612E69646C6554696D65722E7449643D73657454696D656F757428662C68297D72657475726E7D766172206D3D6A51756572792E4576656E7428612E6461746128632C2269646C6554696D6572222C6E2E69646C653F2269646C65223A22616374697665';
wwv_flow_api.g_varchar2_table(8) := '22292B222E69646C6554696D657222293B612863292E74726967676572286D297D2C693D66756E6374696F6E286C297B766172206D3D612E64617461286C2C2269646C6554696D65724F626A22297C7C7B7D3B6D2E656E61626C65643D66616C73653B63';
wwv_flow_api.g_varchar2_table(9) := '6C65617254696D656F7574286D2E744964293B61286C292E756E62696E6428222E69646C6554696D657222297D2C623D66756E6374696F6E28297B766172206C3D612E6461746128746869732C2269646C6554696D65724F626A22293B636C6561725469';
wwv_flow_api.g_varchar2_table(10) := '6D656F7574286C2E744964293B6966286C2E656E61626C6564297B6966286C2E69646C65297B662874686973297D6C2E7449643D73657454696D656F757428662C6C2E74696D656F7574297D7D3B76617220653D612E6461746128632C2269646C655469';
wwv_flow_api.g_varchar2_table(11) := '6D65724F626A22297C7C7B7D3B652E6F6C64646174653D652E6F6C64646174657C7C2B6E6577204461746528293B696628747970656F66206A3D3D3D226E756D62657222297B683D6A7D656C73657B6966286A3D3D3D2264657374726F7922297B692863';
wwv_flow_api.g_varchar2_table(12) := '293B72657475726E20746869737D656C73657B6966286A3D3D3D22676574456C617073656454696D6522297B72657475726E282B6E657720446174652829292D652E6F6C64646174657D7D7D612863292E62696E6428612E7472696D28286B2B22202229';
wwv_flow_api.g_varchar2_table(13) := '2E73706C697428222022292E6A6F696E28222E69646C6554696D6572202229292C62293B652E69646C653D643B652E656E61626C65643D673B652E74696D656F75743D683B652E7449643D73657454696D656F757428662C652E74696D656F7574293B61';
wwv_flow_api.g_varchar2_table(14) := '2E6461746128632C2269646C6554696D6572222C2261637469766522293B612E6461746128632C2269646C6554696D65724F626A222C65297D3B612E666E2E69646C6554696D65723D66756E6374696F6E2862297B696628746869735B305D297B612E69';
wwv_flow_api.g_varchar2_table(15) := '646C6554696D657228622C746869735B305D297D72657475726E20746869737D7D2928617065782E6A5175657279293B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 20519802176917595 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 20507316287111694 + wwv_flow_api.g_id_offset
 ,p_file_name => 'idle-timer.min.js'
 ,p_mime_type => 'text/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin 
execute immediate 'begin dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
prompt  ...done
